workdir: "/data/mcdonnelllab/BMS/Proc/stage1"  # dir for stage1
singularity: "/data/dcibioinformaticslab/star-2.7.8a.sif"  # star container
adapter: "TruSeq2-PE.fa"
threads: "6"

links:
  fastqc-init:
    file: "{workdir}/{uid}/fastqc-init/"
    target: "/fastqc-init"
    rw: True
    create: True
    parameters:
      - "workdir"
      - "uid"

  fastqc-trimmed:
    file: "{workdir}/{uid}/fastqc-trimmed/"
    target: "/fastqc-trimmed"
    rw: True
    create: True
    parameters:
      - "workdir"
      - "uid"
  
  stage1_dir:
    file: "{workdir}"
    target: "/stage1_dir/"
    rw: False
    create: True
    parameters:
      - "workdir"